Integrations
Interface with the autoZnetwork integrations for an organization.
DMS Providers
| Provider | Value |
|---|---|
Autosoft | autosoft |
Dealer Built | dealer-built |
Dealer Vault | dealer-vault |
Lightspeed | lightspeed |
PBS | pbs |
Tekion | tekion |
Vehicle History Providers
| Provider | Value |
|---|---|
Autocheck | autocheck |
CARFAX | carfax |
Get Active Integrations
This returns the integrations that are enabled for the organization.
GET Request: https://api.autoznetwork.com/v1/organization/integrations
CURL
AUTOZNETWORK_TOKEN="your API token"
curl https://api.autoznetwork.com/v1/organization/integrations \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H 'Accept: application/json'
List Integrations
This returns the user that is authorized using the API Key.
GET Request: https://api.autoznetwork.com/v1/integrations
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
curl https://api.autoznetwork.com/v1/integrations \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json'
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$users = $autoznetwork
->withOrganization($organizationId)
->integrations()
->get();
print($users)
Add an Integration
If the user already exists in the autoZnetwork platform (based on email) then they will be sent an invitation to the specified organization.
POST Request: https://api.autoznetwork.com/v1/users
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
curl -X POST https://api.autoznetwork.com/v1/users \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"first_name": "John",
"last_name": "Doe",
"phone_number": "+1234567890",
"email": "user@mydealership.com",
}'
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$user = $autoZnetwork
->withOrganization($organizationId)
->integrations()
->create([
'first_name' => 'John',
'last_name' => 'Doe',
'phone_number' => '+1234567890',
'email' => 'user@mydealership.com'
]);
print($user)